﻿* Encoding: UTF-8.
*****************************************
****** ANALYZE
*****************************************

*****************************************
****** Section 3.1 of the paper: Recruitment, Implementation, and Design Choices
*****************************************

Frequencies gender.

Tables
/observation age
/table age.

Frequencies student.

Tables
/table fieldofstudy.

*****************************************
****** Section 3.1 of the paper: Cognitive Reflection Test
*****************************************

Frequencies e_ball e_machine e_roses.

Frequencies crt_sum_correct.


*****************************************
****** Section 4 of the paper: Results
*****************************************

**** Table 2

USE ALL.
COMPUTE filter_$=(player_type="opt").
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

crosstabs offer by d_d1 by phase.

crosstabs offer by d_d2 by phase.

USE ALL.
COMPUTE filter_$=(player_type="opt" and offer=8).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

CROSSTABS
  /TABLES=d_d1  BY phase
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ
  /CELLS= COUNT
  /COUNT ROUND CELL .

**** Table 3

USE ALL.
COMPUTE filter_$=(player_type="opt" and offer=8).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

Crosstabs d_d1 by d_d2 by phase.

USE ALL.
COMPUTE filter_$=(player_type="opt" and offer=8 and phase=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

NPAR TEST
/MCNEMAR= d_d1  WITH d_d2 (PAIRED)
/MISSING ANALYSIS.

**** Emotions expressed by the receiver

USE ALL.
COMPUTE filter_$=(player_type="opt").
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

Tables
/observation aerger neid dankbarkeit ueberraschung
/table (aerger+neid+dankbarkeit+ueberraschung) by offer.

NPAR TESTS M-W= aerger  BY offer(5,8).
NPAR TESTS M-W= neid  BY offer(5,8).
NPAR TESTS M-W= dankbarkeit  BY offer(5,8).
NPAR TESTS M-W= ueberraschung  BY offer(5,8).

USE ALL.
COMPUTE filter_$=(player_type="opt" and offer=8).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

Tables
/observation aerger neid dankbarkeit ueberraschung
/table (aerger+neid+dankbarkeit+ueberraschung) by phase>offer.

NPAR TESTS M-W= aerger  BY phase(1,2).
NPAR TESTS M-W= neid  BY phase(1,2).
NPAR TESTS M-W= dankbarkeit  BY phase(1,2).
NPAR TESTS M-W= ueberraschung  BY phase(1,2).

**** Figure 2

USE ALL.
COMPUTE filter_$=(offer=8 and player_type="opt").
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

GRAPH
/BAR = mean(d_d1) by crt_sum_correct_high phase
/Missing=Variable.

*** CRT-scores of those who change their mind

USE ALL.
COMPUTE filter_$=(player_type="opt" and offer=8 and d_d1=100).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

Tables
/observation crt_sum_correct
/table crt_sum_correct by opinion_changed.

NPAR TESTS M-W= crt_sum_correct  BY opinion_changed(0,1).

****Decision times given the unfair offer

USE ALL.
COMPUTE filter_$=(player_type="opt" and offer=8 and d1_timeout="no" and crt_sum_correct_high=0).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

GRAPH  Title='Time taken for the first decision if offer=8 and crt<=1 (Median)' 
/BAR = Median(delta_time_d1) by phase d1
/Missing=Variable.

Sort cases by d_d1.
Split file separate by d_d1.

NPAR TESTS M-W= delta_time_d1  BY phase(1,2).

Split file off.
Execute.

USE ALL.
COMPUTE filter_$=(player_type="opt" and offer=8 and d1_timeout="no" and crt_sum_correct_high=1).
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

GRAPH  Title='Time taken for the first decision if offer=8 and crt>=2 (Median)' 
/BAR = Median(delta_time_d1) by phase d1
/Missing=Variable.
